/*
 * eth_ecat_pdo_fmmu.cpp
 *
 *  Created on: May 16, 2023
 *      Author: algin
 */

#include "ethernet_industry/CoE/eth_ecat_pdo_fmmu.hpp"

namespace free_rtos {

namespace ecat_pdo_fmmu {

void EthEcatPdoFMMU::init() {
    std::vector<ecat_buffer::EcatBufferSlave>& buffer_slaves = ecat_buffer_.get_buffer_slaves();

    pdo_fmmu_slaves_.reserve(buffer_slaves.size());

    for(ecat_buffer::EcatBufferSlave& buffer_slave : buffer_slaves) {
        pdo_fmmu_slaves_.push_back(EcatPdoFMMUSlave{buffer_slave});
    }
}

}

}
