/*
 * eth_ip_iface.hpp
 *
 *  Created on: 15 . 2023 .
 *      Author: sychev
 */

#ifndef FREE_RTOS_ETHERNET_IP_ETH_IP_IFACE_HPP_
#define FREE_RTOS_ETHERNET_IP_ETH_IP_IFACE_HPP_

#include <cstdint>
#include "ethernet/eth_types.h"
#include "ethernet/eth_frame.h"

class EthIpIface {
public:
    /**
     *  
     */
    virtual bool send(TEthMacPorts port_id, uint32_t dest_ip, uint8_t prot_id, TEthPkt& pkt) = 0;

    virtual uint32_t getSelfIpAddr() = 0;

    virtual ~EthIpIface() {};
};

#endif /* FREE_RTOS_ETHERNET_IP_ETH_IP_IFACE_HPP_ */
